stages:
  - build
  - deploy


criar_imagens:
  stage: build
  tags:
    - docker
  script:
    - docker build -t $CI_REGISTRY_IMAGE:latest .
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    - docker push $CI_REGISTRY_IMAGE:latest

executar_deploy:
  stage: deploy
  needs: ["criar_imagens"]
  tags:
    - docker
  script:
    - docker pull $CI_REGISTRY_IMAGE:latest
    - docker run -d -p 80:80 $CI_REGISTRY_IMAGE:latest